#include <zephyr/kernel.h>
#include <zephyr/device.h>
#include <zephyr/drivers/gpio.h>
#include "nrfx_timer.h"
#include "nrfx_gpiote.h"
#include <nrfx_rtc.h>

#ifndef FREQ_METER_H
#define FREQ_METER_H

#ifdef __cplusplus 
extern "C" {
#endif

extern const struct gpio_dt_spec int1_tilt;
extern const struct gpio_dt_spec int1_in;
//extern nrfx_timer_t timer0;
extern nrfx_timer_t timer1;
extern nrfx_timer_t timer2;
extern nrfx_rtc_t rtc;
extern const nrfx_gpiote_t gpiote;

void counter1_init(void);
void counter2_init(void);
//void timer_init(nrfx_timer_event_handler_t irq_handler);
void gpiote_init(uint32_t pin_tilt, uint32_t pin_in);
void ppi_timer_stop_counter_init(void);
void ppi_timer_start_counter_init(void);
void ppi_gpiote_counter_init(void);

#ifdef __cplusplus
}
#endif

#endif
